Subject: Re: bug#54488: 29.0.50; move-to-column/overlay-related regression in latest master, perhaps 28?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Mar 2022 15:23:53 +0200

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 23 Mar 2022 10:04:40 +0000
> 
> >> If you could consider installing clangd then running that ready-to-use recipe, I'd venture to say it's the easiest
> >> way for you to understand the problem.
> >
> > Sorry, not going to happen.
> 
> Is it because it's a non GPL server, or just because you don't like to
> install LSP servers?  Other LSP servers will probably have the same
> problem.

It's because I cannot afford the time and efforts of setting up
another compiler suite on my machine.  Too many things on my plate
already, sorry.

> I guess if you could point me to (your?) commit that changed the
> behaviour in I can do the reproduction here and see the problem
> myself, when I have time.

The commit is here: 4243747.  It fixed bug#53795.  Before the change
the low-level routines that move-to-column and current-column called
ignored display strings shown in the buffer; now they take the display
strings into consideration.